#########################################################################################################
Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>
Name:		buffer
Version:	1.19
Release:	1
Provides:	%{name}
Obsoletes:	%{name} = %{version}
License:	GNU/GPL 
Group:		Utilities
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-makefile.patch
Patch1:		%{name}-%{version}-general.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	General purpose buffer program.
#########################################################################################################

%description
This is a program designed to speed up writing tapes on remote tape
drives. After startup it splits itself into two processes.  The first 
process reads (and reblocks) from stdin into a shared memory buffer.  
The second writes from the shared memory buffer to stdout.  Doing it this way
means that the writing side effectly sits in a tight write loop and
doesn't have to wait for input.  Similarly for the input side.  It is
this waiting that slows down other reblocking processes, like dd.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1 -b -makefile
%patch1 -p1 -b -general

%build
make CFLAGS="$RPM_OPT_FLAGS -Wall -s"

%install
install -m 755 -D buffer $RPM_BUILD_ROOT%{_bindir}/buffer
install -m 644 -D buffer.man $RPM_BUILD_ROOT%{_mandir}/man1/buffer.1
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%doc README COPYING
/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Apr 27 2005 Christian Wasem <wasem@ccux-linux.de> 1.19-1
- Initial Release  
